<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:25 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/AliasImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">AliasImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Alias</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/ArrayDimensionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">ArrayDimensionImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Array Dimension</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">ArrayImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Array</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/IDataTypeImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">IDataTypeImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IData Type</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/IIndexableImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">IIndexableImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IIndexable</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/IResizableImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">IResizableImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IResizable</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/IStandardDataTypeImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">IStandardDataTypeImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IStandard Data Type</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/NativeTypeImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">NativeTypeImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Native Type</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveBooleanImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">PrimitiveBooleanImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Primitive Boolean</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveCharImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">PrimitiveCharImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Primitive Char</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">PrimitiveFloatImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Primitive Float</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveIntegerImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">PrimitiveIntegerImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Primitive Integer</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveOctetImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">PrimitiveOctetImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Primitive Octet</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/SequenceImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">SequenceImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Sequence</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/StringTypeImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">StringTypeImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>String Type</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/StructureFieldImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">StructureFieldImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Structure Field</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/StructureImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">StructureImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Structure</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">TypesFactoryImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Factory</b>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesPackageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">TypesPackageImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Package</b>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/UnionCaseImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">UnionCaseImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Union Case</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/UnionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">UnionImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Union</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
